Opened 7 years ago

Closed 7 years ago

#40743 closed update (fixed)

wxWidgets-3.0: upgrade to 3.0.0-RC1

Reported by: mojca (Mojca Miklavec) Owned by: mojca (Mojca Miklavec)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: jyrkiwahlstedt, raimue (Rainer Müller), mkae (Marko Käning), macports@…, bugcutt@…, bfulgham@…, usami-k@…, tenomoto (Takeshi Enomoto), rudloff@…
Port: wxWidgets-3.0

Description

I plan to upgrade wxWidgets to version 3.0.0-RC1. I need to revbump all dependencies, so in case that your port needs anything special or if you want some testing in advance, please speak now or link any tickets (like #40694 for pgAdmin3 for example).

See also #40727 for wxPython. I will attach the patch there.

Change History (3)

comment:1 Changed 7 years ago by mojca (Mojca Miklavec)

Ports that need a revbump:

bfulgham

  • lang/erlang (TODO, see #40774)

jwa

mojca

raimue

takeshi

usami-k

vince

macports lilalinux.net

bugcutt gmail.com

  • graphics/rt-volume-rendering (doesn't compile, won't revbump)

rudloff strasweb.fr

nomaintainer

  • graphics/hugin-app (doesn't compile, won't revbump)
  • graphics/wxLua (OK, r112191)
  • math/fityk (OK, r112217)
  • multimedia/mkvtoolnix (doesn't work, won't revbump)
  • perl/p5-alien-wxwidgets (OK, r112226)
Last edited 7 years ago by mojca (Mojca Miklavec) (previous) (diff)

comment:2 Changed 7 years ago by mojca (Mojca Miklavec)

Committed in r112161. Time to revbump the dependencies.

comment:3 Changed 7 years ago by mojca (Mojca Miklavec)

Resolution: fixed
Status: newclosed

I'm closing the ticket now. The last two ports that haven't been revbumped or upgraded yet have their own tickets open.

Note: See TracTickets for help on using tickets.